public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Zdenek Pytela <zpytela@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Skip the "bz#1791957" phase for RHEL <8.3
Date: Fri, 11 Sep 2026 13:18:05 GMT	[thread overview]
Message-ID: <178913268543.1.15080863214537172605.tests-selinux-6da48e0537e5@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 6da48e0537e5ac8219fb91e4d4325797b8011175
Author : Zdenek Pytela <zpytela@redhat.com>
Date   : 2020-08-07T11:04:21+02:00
Stats  : +2/-0 in 1 file(s)
URL    : https://src.fedoraproject.org/tests/selinux/c/6da48e0537e5ac8219fb91e4d4325797b8011175?branch=pr775-checkpolicy-revdeps

Log:
Skip the "bz#1791957" phase for RHEL <8.3

---
diff --git a/selinux-policy/pam_timestamp-and-related/runtest.sh b/selinux-policy/pam_timestamp-and-related/runtest.sh
index c9d37b9..d808a62 100755
--- a/selinux-policy/pam_timestamp-and-related/runtest.sh
+++ b/selinux-policy/pam_timestamp-and-related/runtest.sh
@@ -54,6 +54,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL "<8.3" ; then
     rlPhaseStartTest "bz#1791957"
         rlSEMatchPathCon "/run" "var_run_t"
         rlSEMatchPathCon "${TIMESTAMP_DIR}" "pam_var_run_t"
@@ -66,6 +67,7 @@ rlJournalStart
         rlRun "strings /usr/sbin/pam_timestamp_check | sed \"s|//*|/|g\" | grep ${TIMESTAMP_DIR}"
         rlRun "strings /usr/lib64/security/pam_timestamp.so | sed \"s|//*|/|g\" | grep ${TIMESTAMP_DIR}"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario -- confined users"
         rlRun "setsebool ssh_sysadm_login on"

                 reply	other threads:[~2026-09-11 13:18 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913268543.1.15080863214537172605.tests-selinux-6da48e0537e5@fedoraproject.org \
    --to=zpytela@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox